[问题]安装nerolinux时出错,导致所有软件都不能安装

为当前最终发行版之前的所有版本提供支持
回复
头像
dothan
帖子: 20
注册时间: 2006-09-26 23:17
来自: Chong Qing, China
送出感谢: 0
接收感谢: 0
联系:

[问题]安装nerolinux时出错,导致所有软件都不能安装

#1

帖子 dothan » 2007-02-16 20:24

我在ubuntu 6.10下安装nerolinux-2.1.0.4-x86.deb时发生错误,之后再安装其他的deb包系统都报告说包损坏,而且新立得也不能搜索不到任何资源了,提示 E: 软件包 nerolinux 需要重新安装,但是我无法找到相应的安装文件。和E: 打开高速缓存(1)时有内部错误。请报告。apt-get 装其他软件也用不了,始终报告nerolinux有错误,暂时还没想到解决方法,不可能重装系统吧,请高手指点指点。
祝大家新年快乐!
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-02-16 20:26

sudo dpkg -e nerolinux
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
zmcbb30
帖子: 2717
注册时间: 2006-09-30 0:32
来自: 巴拉特星系第四行星──海尼森
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 zmcbb30 » 2007-02-16 20:27

删除nero

然后

代码: 全选

sudo apt-get update
头可断,血可流,靓女不可不追求
相艾唔好口,够姜就只抽

BARTON 2500+/1536MDDR400
EP8RDA3G/MX4000 128M64bit 8X
DiamondPlus9-6Y080L0-ATA133
Samsung743DF
HiweedDesktop-1.0
头像
dothan
帖子: 20
注册时间: 2006-09-26 23:17
来自: Chong Qing, China
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 dothan » 2007-02-16 20:50

BigSnake.NET 写了:sudo dpkg -e nerolinux
我按照楼上两位所说的方法去做了,但还是不行,我把我的操作贴出来,麻烦帮我看看:
dothan@M2N:~/Desktop/Nerolinux$ sudo dpkg -e nerolinux
dpkg-deb: 读取包文件“nerolinux”失败: No such file or directory
dothan@M2N:~/Desktop/Nerolinux$ sudo dpkg -r nerolinux
dpkg:处理 nerolinux (--remove)时出错:
该软件包现在的状态极为不妥 - 您最好能
在删除它之前再重新安装一次。
在处理时有错误发生:
nerolinux
dothan@M2N:~/Desktop/Nerolinux$ sudo dpkg -P nerolinux
dpkg:处理 nerolinux (--purge)时出错:
该软件包现在的状态极为不妥 - 您最好能
在删除它之前再重新安装一次。
在处理时有错误发生:
nerolinux

我都不知道怎么把安装失败的nerolinux删掉,apt-get update也试过了,不行
头像
dothan
帖子: 20
注册时间: 2006-09-26 23:17
来自: Chong Qing, China
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 dothan » 2007-02-16 21:39

我又用了这条命令,还是不行:

dothan@M2N:~/Desktop/Nerolinux$ sudo aptitude remove nerolinux
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
正在初始化软件包状态... 完成
创建标签数据库... 完成
下列软件包将被“删除”:
nerolinux
0 个软件包被升级,新安装0 个, 1 个将被删除, 同时 0 个将不升级。
需要获取 0B 的存档。 解包后将要使用 0B。
正在编辑扩展状态信息... 完成
dpkg:处理 nerolinux (--remove)时出错:
该软件包现在的状态极为不妥 - 您最好能
在删除它之前再重新安装一次。
在处理时有错误发生:
nerolinux
terminate called after throwing an instance of 'std::logic_error'
what(): basic_string::_S_construct NULL not valid
忽略 (core dumped)
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#6

帖子 BigSnake.NET » 2007-02-16 22:05

重新安装一次呢..用个没事的包
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
dothan
帖子: 20
注册时间: 2006-09-26 23:17
来自: Chong Qing, China
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 dothan » 2007-02-16 22:32

BigSnake.NET 写了:重新安装一次呢..用个没事的包
不行的,现在所有deb包,新立得和apt-get都用不了了,都是提示nerolinux有问题,删又不知道怎样删,我再等等,实在想不到解决办法就只有重装了
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 BigSnake.NET » 2007-02-16 22:47

用dpkg -i <正常的nerolinux包>
试一下
不行就只能暴力修改state文件了..
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
dothan
帖子: 20
注册时间: 2006-09-26 23:17
来自: Chong Qing, China
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 dothan » 2007-02-17 2:04

我重新下载了一个nerolinux-2.1.0.3-x86.deb的包,执行dpkg -i 就可以了,之前的错误提示都消失了,再次感谢BigSnake.NET,呵呵~
回复

回到 “老旧版本支持”